Bug 1282640 - Review Request: lastpass-cli - Command line interface to LastPass.com
Review Request: lastpass-cli - Command line interface to LastPass.com
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 18:49 EST by Tom Prince
Modified: 2016-01-22 02:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 09:37:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Tom Prince 2015-11-16 18:49:20 EST
Spec URL: https://tomprince.fedorapeople.org/lastpass-cli.spec
SRPM URL: https://tomprince.fedorapeople.org/lastpass-cli-0.7.0-1.fc23.src.rpm
Description: A command line interface to LastPass.com. 
Fedora Account System Username: tomprince
Comment 1 Tom Prince 2015-11-16 18:50:42 EST
There are just incorrect-fsf-address RPM lint errors. Upstream PR: https://github.com/lastpass/lastpass-cli/pull/131
Comment 3 Zbigniew Jędrzejewski-Szmek 2015-12-04 23:45:06 EST
You can probably replace the make line with %make_build.

...and the two make install lines with %make_install install-docs.

rm -rf $RPM_BUILD_ROOT is not needed and is not recommended [http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag].

%defattr is not needed [http://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions].

Use %{_mandir} for the path, and do not hardcode the compression:
/usr/share/man/man1/lpass.1.gz → %{_mandir}/man1/lpass.1.*

The changelog has an empty entry at the bottom. Either fill it in or remove.
Comment 4 Tom Prince 2015-12-06 04:44:38 EST
Thanks for the review.

> You can probably replace the make line with %make_build.

Doing this results in the debuginfo package not having sources. I'm open to other suggestions.

I've addressed the rest of the comments:
Spec URL: https://tomprince.fedorapeople.org/lastpass-cli.spec
SRPM URL: https://tomprince.fedorapeople.org/lastpass-cli-0.7.0-2.fc23.src.rpm
Copr Build: https://copr.fedoraproject.org/coprs/tomprince/Personal/build/145205/
Comment 5 Zbigniew Jędrzejewski-Szmek 2015-12-06 10:58:08 EST
- license is OK (GPLv2)
- license file is present, %license is used
- latest version
- builds and install OK
- the executable runs fine
- provides / requires look sane
- no scriptlets needed or present

Rpmlint
-------
Checking: lastpass-cli-0.7.0-2.fc24.x86_64.rpm
          lastpass-cli-debuginfo-0.7.0-2.fc24.x86_64.rpm
          lastpass-cli-0.7.0-2.fc24.src.rpm
lastpass-cli.x86_64: E: incorrect-fsf-address /usr/share/licenses/lastpass-cli/COPYING
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/cmd-rm.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/cmd-generate.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/agent.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/cmd-sync.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/http.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/cipher.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/blob.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/endpoints-login.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/xml.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/cmd-login.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/lpass.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/endpoints.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/cmd-export.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/cmd.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/config.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/clipboard.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/cmd-duplicate.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/endpoints-share.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/terminal.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/password.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/process.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/session.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/cmd-logout.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/cmd-edit.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/cmd-show.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/cmd-ls.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/kdf.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/util.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/cmd-share.c
lastpass-cli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lastpass-cli-0.7.0/upload-queue.c
3 packages and 0 specfiles checked; 31 errors, 0 warnings.

The license is already fixed upstream.

Package is APPROVED.
Comment 6 Till Maas 2015-12-06 15:38:43 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/lastpass-cli
Comment 7 Fedora Update System 2015-12-06 16:52:52 EST
lastpass-cli-0.7.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14a09f31e0
Comment 8 Fedora Update System 2015-12-06 17:05:21 EST
lastpass-cli-0.7.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-83dfc07d0e
Comment 9 Fedora Update System 2015-12-07 18:22:25 EST
lastpass-cli-0.7.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lastpass-cli'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-83dfc07d0e
Comment 10 Fedora Update System 2015-12-07 23:32:43 EST
lastpass-cli-0.7.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lastpass-cli'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14a09f31e0
Comment 11 Fedora Update System 2015-12-16 09:37:04 EST
lastpass-cli-0.7.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-12-17 03:52:51 EST
lastpass-cli-0.7.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-01-04 13:44:21 EST
lastpass-cli-0.7.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-26d445497a
Comment 14 Fedora Update System 2016-01-04 23:25:13 EST
lastpass-cli-0.8.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3e614e9a35
Comment 15 Fedora Update System 2016-01-05 18:26:38 EST
lastpass-cli-0.8.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3e614e9a35
Comment 16 Fedora Update System 2016-01-22 02:25:42 EST
lastpass-cli-0.8.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.